=== added directory 'media/svgconverter'
=== renamed file 'svg Converter/AmoebaBody.svg' => 'media/svgconverter/AmoebaBody.svg'
=== renamed file 'svg Converter/Amoebaface.svg' => 'media/svgconverter/Amoebaface.svg'
=== renamed file 'svg Converter/Amoebaface_Eyes.svg' => 'media/svgconverter/Amoebaface_Eyes.svg'
=== renamed file 'svg Converter/CubeIsometric.svg' => 'media/svgconverter/CubeIsometric.svg'
=== renamed file 'svg Converter/CubeTwoDee.svg' => 'media/svgconverter/CubeTwoDee.svg'
=== renamed file 'svg Converter/Map_Cloud.svg' => 'media/svgconverter/Map_Cloud.svg'
=== renamed file 'svg Converter/Map_Sun.svg' => 'media/svgconverter/Map_Sun.svg'
=== renamed file 'svg Converter/Map_Sweden.svg' => 'media/svgconverter/Map_Sweden.svg'
=== renamed file 'svg Converter/Seat_With_Armrest.svg' => 'media/svgconverter/Seat_With_Armrest.svg'
=== renamed file 'svg Converter/TestHole.svg' => 'media/svgconverter/TestHole.svg'
=== renamed file 'svg Converter/TestHoleII.svg' => 'media/svgconverter/TestHoleII.svg'
=== renamed file 'svg Converter/Washer_Dryer.svg' => 'media/svgconverter/Washer_Dryer.svg'
=== renamed file 'svg Converter/Washer_Dryer_Isometric.svg' => 'media/svgconverter/Washer_Dryer_Isometric.svg'
=== renamed file 'svg Converter/Washer_Washer.svg' => 'media/svgconverter/Washer_Washer.svg'
=== renamed file 'svg Converter/Washer_Washer_Isometric.svg' => 'media/svgconverter/Washer_Washer_Isometric.svg'
=== added file 'svg Converter/svgconverter.css'
--- svg Converter/svgconverter.css	1970-01-01 00:00:00 +0000
+++ svg Converter/svgconverter.css	2013-04-03 10:37:25 +0000
@@ -0,0 +1,10 @@
+#content {
+	font-family: Calibri,Georgia,Serif;
+}
+
+#preview {
+	border: outset 3px #ffeedd; 
+	background-color: #fff8f8;
+	font-family: Calibri,Georgia,Serif;
+	vertical-align: text-top;
+}
\ No newline at end of file

=== renamed file 'svg Converter/SVG_httpAjax.js' => 'svg Converter/svgconverter.js'
--- svg Converter/SVG_httpAjax.js	2013-04-02 13:00:31 +0000
+++ svg Converter/svgconverter.js	2013-04-03 10:37:25 +0000
@@ -6,9 +6,9 @@
 		var AJAXServiceRunning=false;
 		var AJAXReturnfunction;
 		var httpAjax = false;
-		function getSVG(fileName){
-				paramstr="svgname="+escape(fileName);
-				AjaxService("SVG_TO_CANVAS_III.php",paramstr,"returnedSVG");
+		function getSVG(fileName) {
+			paramstr="svgname="+escape(fileName);
+			AjaxService("svgtocanvas.php",paramstr,"returnedSVG");
 		}
 		
 		/*--------------------------------------------------------------------------------
@@ -42,7 +42,7 @@
 				Each service uses a different url and a different parameter layout.
 								
 		----------------------------------------------------------------------------------*/
-		function AjaxServiceExec( servicename, serviceparam ) {
+		function AjaxServiceExec(servicename, serviceparam) {
 		// Parameters are set, initiate AJAX engine
 			if( window.XMLHttpRequest ) {
 				httpAjax = new XMLHttpRequest();
@@ -65,7 +65,7 @@
 			try{
 				httpAjax.onreadystatechange = getPage;
 		    } 
-			catch(e){
+			catch(e) {
 				alert( "onreadystatechange didnt go well!" );
 				return false;
 			} 
@@ -73,14 +73,14 @@
 				httpAjax.open( 'POST', servicename, true );
 				httpAjax.setRequestHeader( "Content-Type", "application/x-www-form-urlencoded;" );
 		    } 
-			catch(e){
+			catch(e) {
 				alert( "Couldnt open url." );
 				return false;
 		    } 
 			try{
 				httpAjax.send( serviceparam );				
 		    } 
-			catch(e){
+			catch(e) {
 				alert( "Couldnt send request." );
 				return false;
 			}
@@ -96,9 +96,9 @@
 		----------------------------------------------------------------------------------*/
 
 	function getPage() {				
-		if(httpAjax.readyState == 4){
+		if(httpAjax.readyState == 4) {
 			tr = httpAjax.responseText;
-			eval( AJAXReturnfunction + '(str);' );
+			eval( AJAXReturnfunction + '(tr);' );
 				if( AJAXQueue.length > 0 ) {
 					AJAXReturnfunction = AJAXQueue.pop();
 					var Aparam = AJAXQueue.pop();

=== renamed file 'svg Converter/index.php' => 'svg Converter/svgconverter.php'
--- svg Converter/index.php	2013-04-02 07:16:49 +0000
+++ svg Converter/svgconverter.php	2013-04-03 10:37:25 +0000
@@ -1,13 +1,15 @@
+<!DOCTYPE html>
 <html>
 	
 	<head>
-			<script language="javascript" src="SVG_httpAjax.js">
+			<script language="javascript" src="svgconverter.js">
 			</script>
+			<link rel="stylesheet" type="text/css" href="svgconverter.css">
 	</head>
 	
 	<body>
 		<table><tr>
-			<td style="border:outset 3px #ffeedd; background-color: #fff8f8;font-family:Calibri,Georgia,Serif;" valign="top">
+			<td id='preview'>
 				<?php
 					function endsWith($haystack, $needle, $case=true) {
 						if($case){
@@ -15,7 +17,7 @@
 						}
 						return( strcasecmp( substr( $haystack, strlen( $haystack) - strlen( $needle )), $needle ) === 0 );
 					}
-					$dir = opendir( '.' );
+					$dir = opendir( '../media/svgconverter' );
 					while(( $file = readdir( $dir )) !== false ) {
 						if( endsWith( $file, ".svg" )) {
 							echo "<span onmouseover='this.style.backgroundColor=\"#000\";this.style.color=\"#fff\"' onmouseout='this.style.backgroundColor=\"#fff8f8\";this.style.color=\"#000\"' style='cursor:pointer;' onclick='getSVG(\"".$file."\");'>".$file."</span><br>";
@@ -23,13 +25,13 @@
 					}
 				?>
 			</td>
-			<td id='preview' style="border:outset 3px #ffeedd; background-color: #fff8f8;font-family:Calibri,Georgia,Serif;" valign="top">
+			<td id='preview'>
 				Preview:<br>
 				<canvas width="700" height="700" id="previewCanvas">
 				</canvas>
 			</td>
-			<td style="border:outset 3px #ffeedd; background-color: #fff8f8;" valign="top">
-				<pre id='content' style='font-family:Calibri,Georgia,Serif;'>
+			<td id='preview'>
+				<pre id='content'>
 				</pre>
 			</td>
 		</tr></table>

=== renamed file 'svg Converter/SVG_TO_CANVAS_III.php' => 'svg Converter/svgtocanvas.php'
--- svg Converter/SVG_TO_CANVAS_III.php	2013-03-28 15:46:11 +0000
+++ svg Converter/svgtocanvas.php	2013-04-03 11:35:07 +0000
@@ -44,10 +44,6 @@
 //		Fix for SVG Style attribute errors if no ; is found i.e. attribute is last attribute of style string the code now works (untested)
 //		Fix for SVG Font Size Bug - px was replaced with 0 instead of "" meaning that some times 2px would turn to 20
 //		Fix: fontstyle or line style etc missing if style="" is used instead of font attributes. Error produced: fontstyle fontline fontfamily missing line 707-709 / Translate Rotate Scale missing 710-712	among others svg ARC 02	 Should work now.
-//		Bug: Empty text in SVG text in proporcion
-//    Bug: If fill is after line, the change of fill is performed after line is drawn. (SVI_CFG from wikipedia and proporcion from wikipedia)
-//		Bug: translate support for groups or individual objects such as proporcion transform="translate(642.5,-1381.291)" or transform="matrix(0.999962,-8.674822e-3,8.674822e-3,0.999962,1115.829,2072.128)" 
-//  
 //-------------------------------------------------------------------------- Next Version Blueprint
 // Version 3.7
 //    Curve Closing (html5)
@@ -65,7 +61,8 @@
 	$gradientname = "foo";
 	$isinkscape = false;
 	$stopcounter = 0;
-
+	$svgfilepath = "../media/svgconverter/";
+	
 function recurseelement( $element ) {
 	global $elementcounter;
 	global $graphnodes;
@@ -106,7 +103,7 @@
 }
 
 if( isset( $_POST ['svgname'])) {
-	$svg = simplexml_load_file( $_POST ['svgname'] );
+	$svg = simplexml_load_file( $svgfilepath . $_POST ['svgname'] );
 	// Recurse into elements and add to element stack
 	// It is important to only process hierarchies of g elements and layers
 	foreach( $svg as $element ) {
@@ -325,7 +322,7 @@
 							$dostr = "";
 						}
 					} else {
-						$dostr. = $dochr;
+						$dostr .= $dochr;
 					}
 					$j++;
 				}while( $j <= strlen( $workstr ));
@@ -415,7 +412,7 @@
 				echo "\n" . 'c.lineWidth = "' . $val . '";' . "\n";
 			} else if( $key == "points" &&( $graphelement -> getName() == "polygon" || $graphelement -> getName() == "polyline" || $graphelement -> getName() == "line" )) {
 				if( $defsmode ) {
-					$defsstring. = "c.beginPath();\n";
+					$defsstring .= "c.beginPath();\n";
 				} else {
 					echo "c.beginPath();\n";
 				}
@@ -440,7 +437,7 @@
 							$dostr = "";
 						}
 					} else {
-						$dostr. = $dochr;
+						$dostr .= $dochr;
 					}
 					$j++;
 					} while( $j <= strlen( $workstr ));
@@ -450,13 +447,13 @@
 					for( $j = 0; $j < $noparams; $j += 2) {
 						if( $j == 0 ) {
 							if( $defsmode ) {
-								$defsstring. = "c.moveTo( ".$params [$j].",".$params [$j+1].");\n";
+								$defsstring .= "c.moveTo( ".$params [$j].",".$params [$j+1].");\n";
 							} else {
 								echo "c.moveTo( ".$params[$j].",".$params[$j+1].");\n";							
 							}
 						} else {
 							if( $defsmode ) {
-								$defsstring. = "c.lineTo( ".$params[$j].",".$params[$j+1].");\n";
+								$defsstring .= "c.lineTo( ".$params[$j].",".$params[$j+1].");\n";
 							} else {
 								echo "c.lineTo( ".$params[$j].",".$params[$j+1].");\n";
 							}
@@ -465,7 +462,7 @@
 					// If a polygon close path if not i.e. polyline keep it open
 					if( $noparams >= 2 && $graphelement -> getName() == "polygon" ) {
 						if( $defsmode ) {
-							$defsstring. = "c.lineTo( ".$params[0].",".$params[1]." );\n";
+							$defsstring .= "c.lineTo( ".$params[0].",".$params[1]." );\n";
 						} else {
 							echo "c.lineTo( ".$params[0].",".$params[1]." );\n";
 						}
@@ -494,7 +491,7 @@
 						}
 					}
 					if( $defsmode ) {
-						$defsstring. = "c.clip();\n\n";
+						$defsstring .= "c.clip();\n\n";
 					}
 			} else if ( $key == "d" ) {
 				$dval=$val;

